var i = 0;
var icount = 32;

function getPath(src){
  return src.split("/")[0];
}
function setPage() {
  var path = getPath(document.getElementById("obrazok").getAttribute("src"));
  document.getElementById("obrazok").setAttribute("src", path + "/img" + i + ".jpg");
  document.getElementById("cislo").innerHTML = i;
}

function next(){
  i = (i + 1) % icount;
  setPage();
}

function prev(){
  i = (i - 1) % icount;
  if (i == -1) {
    i = icount - 1;
  }
  setPage();
}

function first() {
  i = 0;
  setPage();
}

function last() {
  i = icount - 1;
  setPage();
}
